## foo2zjs 20110722dfsg

=== Makefile ===
--- 
+++ 
@@ -163,6 +163,8 @@
 		slxdecode.1in \
 		gipddecode.c \
 		gipddecode.1in \
+		hbpldecode.c \
+		hbpldecode.1in \
 		foo2zjs-wrapper.in \
 		foo2zjs-wrapper.1in \
 		foo2hp2600-wrapper.in \
@@ -248,6 +250,7 @@
 PROGS+=		foo2slx slxdecode
 PROGS+=		foo2hiperc hipercdecode
 PROGS+=		gipddecode
+PROGS+=		hbpldecode
 ifneq ($(CUPS_SERVERBIN),)
     ifneq ($(CUPS_DEVEL),)
 	PROGS+=	command2foo2lava-pjl
@@ -267,6 +270,7 @@
 MANPAGES+=	foo2slx-wrapper.1 foo2slx.1 slxdecode.1
 MANPAGES+=	foo2hiperc-wrapper.1 foo2hiperc.1 hipercdecode.1
 MANPAGES+=	gipddecode.1
+MANPAGES+=	hbpldecode.1
 MANPAGES+=	foo2zjs-pstops.1 arm2hpdl.1 usb_printerid.1
 MANPAGES+=	printer-profile.1
 LIBJBG	=	jbig.o jbig_ar.o
@@ -277,7 +281,8 @@
 endif
 
 # Compiler flags
-CFLAGS +=	-O2 -Wall
+#CFLAGS +=	-O2 -Wall -Wno-unused-but-set-variable
+CFLAGS +=	-O2 -Wall 
 #CFLAGS +=	-g
 
 #
@@ -504,9 +509,3 @@
 all-osx-hotplug:
 ifeq ($(UNAME),Darwin)
 	cd osx-hotplug; $(MAKE) all
-endif
-
-ok: ok.o $(LIBJBG)
-	$(CC) $(CFLAGS) ok.o $(LIBJBG) -o $@
-
-zjsdecode: zjsdecode.o $(LIBJBG)
