=== debian/changelog ===
foo2zjs (20110722dfsg-3) unstable; urgency=low

  * Update 60-getweb.in.patch to add set -e (Closes: #633870 again).

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Jul 2011 23:27:03 +0200

foo2zjs (20110722dfsg-2) unstable; urgency=low

  * Install usb_printerid and its manpage only in Linux (Closes: #635397).

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Jul 2011 15:09:41 +0200

foo2zjs (20110722dfsg-1) unstable; urgency=low

  New 20110525 upstream release.

  [ Didier Raboud ]
  * DFSG repack
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Uploaders:
    - Add myself.
    - Drop Steffen Joeris, with thanks for his past work.
  * Package relationships:
    - Demote cups and cups-client from Depends to Recommends (Closes: #622125).
      This allows one to use foo2zjs with lprng.
    - Add a Recommends on mscompress.
  * Patches:
    - Refresh all.
    - Update 30-udev-rules patch to cope with cups' usblp blacklisting.
    - Add 40-desktop-direct-launch.patch to remove the superfluous "wish"
      launch (avoids a lintian warning).
    - Update debian/patches/60-getweb.in.patch:
      Fix CVE-2011-2684 "Insecure Temporary File" (CWE-277) in
      /usr/bin/getweb by creating a safe temporary directory with mktemp.
      (Closes: #633870, LP: #805370)
    - Enhance 60-getweb.in.patch to forbid live update of /usr/bin/getweb as it
      is packaged. Also correct the typo in getweb. (Closes: #632680)
    - Update 60-hplj1000.patch to use the correct paths in kFreeBSD too.
    - Update 90-manpages.patch to fix more hyphen-used-as-minus mistakes. 
    - Add 91-spelling-fixes.patch to fix 'precission' spelling mistake.
  * Convert to source format 3.0 (quilt)
  * Convert packaging to "tiny" dh7 style.
  * Migrate packaging to Git from Subversion, update Vcs-* fields.
  * Bump Standards-Version to 3.9.2 without changes needed.

  [ Till Kamppeter ]
  * debian/rules: Added "-dNOINTERPOLATE" to the Ghostscript command lines to
    make Ghostscript rendering the pages significantly faster.
  * debian/patches/96-udev-firmware-script-cups-libusb-support.patch:
    Added support for uploading firmwae into printers using the USB backend of
    CUPS. This way the firmware upload also works without the usblp kernel
    module. (Closes: #630227, #630228)
  * debian/patches/95-udev-firmware-script-no-hplip-rules-removal.patch:
    Removed the lines in the UDEV script for the automatic firmware upload
    into the printer which remove the UDEV rules files for HPLIP's automatic
    firmware upload. (LP: #783389)

 -- Didier Raboud <odyx@debian.org>  Mon, 25 Jul 2011 17:53:17 +0200

foo2zjs (20110210dfsg-2) unstable; urgency=low

  [ Luca Capello ]
  * debian/README.Debian:
    + rephrase paragraph about "HPLJ 10xx Replaced Paper" icon.

  [ Till Kamppeter ]
  * Merge from Ubuntu natty.
  * debian/patches/series: update.
  * debian/patches/40-desktop-nodisplay-true.patch:
    + do not display the "HPLJ 10xx Replaced Paper" icon by default
      (see #579154).
  * debian/rules:
    + install Apport hook on Ubuntu and derivatives.
  * debian/ubuntu/apport-hook.py: new file.

 -- Luca Capello <luca@pca.it>  Wed, 30 Mar 2011 23:20:11 +0200

foo2zjs (20110210dfsg-1) unstable; urgency=low

  * Move to team maintenance: Debian Printing Team at
      http://wiki.debian.org/Teams/Printing

  [ Luca Capello ]
  * New upstream version (Closes: #594322).
  * DFSG repack
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * debian/control:
    + team maintenance.
    + Build-Depends: on dc.
  * debian/foo2zjs.dirs:
    + add /usr/lib/cups/filter/.
  * debian/foo2zjs-icc2ps.1:
    - remove, upstream now ships a different version.
  * debian/manpages:
    - remove, now useless.
  * debian/patches/series: update.
  * debian/patches/20-honour-papersize.patch:
    + add a note that this patch is now useless, given that
      starting with this version it is done in debian/rules.
  * debian/patches/20-PDF-input-data-in-PPDs.patch:
    + fake patch to show differences with upstream, it is
      done in debian/rules.
  * debian/patches/40-desktop-encoding-correction.patch,
    debian/patches/60-getweb.in.patch:
    + Update to work with new foo2zjs source.
  * debian/rules:
    + add pointers to the patches above.

  [ Till Kamppeter ]
  * Merge from Ubuntu maverick.
  * debian/control:
    + Add dependency on cups and cups-client to ensure that automatic
      update of the PPDs of existing print queues works.
  * debian/foo2zjs.postinst:
    + Automatically update the PPD files for existing queues to the
      versions supplied with this package.
  * debian/patches/20-honour-papersize.patch,
    debian/patches/30-udev-rules.patch,
    debian/patches/70-lib-firwmare-hp.patch,
    debian/patches/80-getweb.in.patch,
    debian/patches/90-manpages.patch:
    + Update to work with new foo2zjs source.
  * debian/patches/60-getweb.in.patch:
    + Install ICM files into the directories of the correct drivers.
  * debian/rules:
    + Add "CUPS_SERVERBIN=..." to the "make install" command line.
    + Add "*cupsFilter" line to accept PDF input data to the PPDs.
    + Add /etc/papersize support.
    + Add useful comments.
    + Correct upstream link to the CUPS filter.
    + Install additional PPDs and compress them.

  [ Steve Langasek ]
  * Merge from Ubuntu maverick.
  * debian/patches/30-udev-rules.dpatch:
    + Add udev rule for HP Laserjet P1505n.

 -- Luca Capello <luca@pca.it>  Sun, 20 Feb 2011 19:19:18 +0100

foo2zjs (20090908dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    + Depends: on dc (Closes: #609761).

 -- Didier Raboud <odyx@debian.org>  Wed, 12 Jan 2011 14:49:08 +0100

foo2zjs (20090908dfsg-5) unstable; urgency=low

  [ Luca Capello ]
  * debian/README.Debian:
    + add a note about the "HPLJ 10xx Replaced Paper" GUI requiring
      tk8.4 and tix, now Suggests:.
  * debian/control:

