=== debian/control ===
Source: foo2zjs
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 7.0.50~), ghostscript, foomatic-filters, libcups2-dev, dc
Standards-Version: 3.9.2
Homepage: http://foo2zjs.rkkda.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/foo2zjs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/foo2zjs.git

Package: foo2zjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, foomatic-filters, dc
Recommends: foomatic-db-engine, wget, unzip, mscompress, cups, cups-client
Suggests: psutils, hannah-foo2zjs, tk8.4, tix
Breaks: udev (<< 136-1)
Description: Support for printing to ZjStream-based printers
 foo2zjs is an open source printer driver for printers that use the
 Zenographics ZjStream wire protocol for their print data, such as the
 Minolta magicolor 2200/2300/2430 DL, Minolta Color PageWorks/Pro L and
 HP LaserJet 1000/1005/1018/1020/1022. These printers are often
 erroneously referred to as "winprinters" or "GDI printers".
 .
 This package provides the following drivers: foo2hiperc, foo2hp,
 foo2lava, foo2oak, foo2qpdl, foo2slx, foo2xqx, foo2zjs.
 .
 The foomatic-db-engine package is recommended to simplify configuring
 this printer driver.  The psutils package is needed to enable n-up
 printing support.
