=== debian/rules ===
#!/usr/bin/make -f

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ 

override_dh_auto_build:
	cp printer-profile.in printer-profile
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/tmp/usr MODEL=$(CURDIR)/debian/tmp/usr/share/cups/model FOODB=$(CURDIR)/debian/tmp/usr/share/foomatic/db/source PPD=$(CURDIR)/debian/tmp/usr/share/ppd CUPS_SERVERBIN=$(CURDIR)/debian/tmp/usr/lib/cups

override_dh_install:
	### patches/20-honour-papersize.patch
	# Add support for /etc/papersize to all wrapper scripts. In contrary
	# to a patch this will automatically apply to every new wrapper script
	# which gets added to this package in the future.
	perl -p -i -e 's/^PAPER=(\d+)\s*$$/test -r \/etc\/papersize && PAPER=\x24\(cat \/etc\/papersize\)\ntest "\x24PAPER" || PAPER=\1\n/' $(CURDIR)/debian/tmp/usr/bin/*-wrapper
	# Add "-dNOINTERPOLATE" to the Ghostscript command lines to make
	# Ghostscript rendering the pages significantly faster
	perl -p -i -e 's/dNOPAUSE/dNOPAUSE -dNOINTERPOLATE/g' $(CURDIR)/debian/tmp/usr/bin/*-wrapper
	# Use a policy-numbered name for the rules file
	install -D -m 644 hplj10xx.rules $(CURDIR)/debian/tmp/lib/udev/rules.d/85-hplj10xx.rules
	# Legacy dh_install
	dh_install
	# usb_printerid is Linux-specific
ifeq ($(DEB_HOST_ARCH_OS),linux)
	install -D -m 644 usb_printerid $(CURDIR)/debian/foo2zjs/usr/bin/usb_printerid
	install -D -m 644 usb_printerid.1 $(CURDIR)/debian/foo2zjs/usr/share/man/man1/usb_printerid.1
endif
	### patches/20-PDF-input-data-in-PPDs.patch
	# Add "*cupsFilter" line to accept PDF input data to the PPDs and compress them
	( cd $(CURDIR)/debian/foo2zjs/usr/share/ppd/foo2zjs; \
	  find -name '*.ppd.gz' -exec gunzip {} \; ; \
	  find -name '*.ppd' -exec perl -p -i -e 's,^\*cupsFilter:\s*\"application/vnd.cups-postscript\s+0\s+foomatic-rip\",*cupsFilter: "application/vnd.cups-postscript 100 foomatic-rip"\n*cupsFilter: "application/vnd.cups-pdf 0 foomatic-rip",' {} \; ; \
	  find -name '*.ppd' -exec gzip -9 {} \; ;\
	)
	# Install the apport hook on Ubuntu and derivatives
ifeq ($(derives_from_ubuntu),yes)
	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/foo2zjs/usr/share/apport/package-hooks/source_foo2zjs.py
endif

override_dh_auto_test:
	# Run the tests in non-failing mode (they fail…)
	- dh_auto_test

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_clean:
	dh_auto_clean
	- rm -f 85-hplj10xx.rules
