## foo2zjs 20110811dfsg

=== Makefile ===
--- 
+++ 
@@ -406,6 +406,22 @@
 	    echo "      ***"; \
 	    exit 1; \
 	fi
+	@if ! dc -V >/dev/null 2>&1; then \
+	    echo "      ***"; \
+	    echo "      *** Error: must install GNU dc with the -e option!"; \
+	    echo "      ***"; \
+	    exit 1; \
+	fi
+ifeq ($(UNAME),Darwin)
+	@if ! type gsed >/dev/null 2>&1; then \
+	    echo "      ***"; \
+	    echo "      *** Error: gsed is not installed!"; \
+	    echo "      ***"; \
+	    echo "      *** For OSX: sudo port install gsed"; \
+	    echo "      ***"; \
+	    exit 1; \
+	fi
+endif
 	# ... OK!
 	#
 
@@ -489,23 +505,3 @@
 	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
 	chmod 555 $@
 
-foo2hiperc-wrapper: foo2hiperc-wrapper.in Makefile
-	[ ! -f $@ ] || chmod +w $@
-	sed < $@.in > $@ \
-	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
-	chmod 555 $@
-
-
-getweb: getweb.in Makefile
-	[ ! -f $@ ] || chmod +w $@
-	sed < $@.in > $@ \
-	    -e "s@\$${URLZJS}@$(URLZJS)@" \
-	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
-	chmod 555 $@
-
-all-icc2ps:
-	cd icc2ps; $(MAKE) all
-
-all-osx-hotplug:
-ifeq ($(UNAME),Darwin)
-	cd osx-hotplug; $(MAKE) all
