=== debian/changelog ===
foo2zjs (20110811dfsg-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Depends on the mscompress package.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 22 Aug 2011 09:02:00 +0200

foo2zjs (20110811dfsg-1) unstable; urgency=low

  * New 20110811 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Replace the PPD-updater postinst code by CUPS' trigger.
    - Breaks against too old cups versions.
    - Add a ppd-updater file, to trigger with parameters.
  * Compress PPDs using {dh_,}pyppd.
    - Add versioned pyppd Build-Depends.
    - Call dh_pyppd after installing the PPDs, don't compress them individually.
    - Update the ppd-updater file with the new regexp.

 -- Didier Raboud <odyx@debian.org>  Thu, 18 Aug 2011 14:00:20 +0200

foo2zjs (20110722dfsg-3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Depends on the mscompress package.
    - Depends on cup and cups-client and does not only recommend them. Ubuntu
      supports only CUPS as printing system (more investigation needed).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 28 Jul 2011 00:35:00 +0200

foo2zjs (20110210dfsg-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/96-udev-firmware-script-cups-libusb-support.patch:
      Added support for uploading firmwae into printers using the USB backend
      of CUPS. This way the firmware upload also works without the usblp
      kernel module (Closes: #630228).
    - debian/patches/95-udev-firmware-script-no-hplip-rules-removal.patch:
      Removed the lines in the UDEV script for the automatic firmware upload
      into the printer which remove the UDEV rules files for HPLIP's automatic
      firmware upload. NO WARS BETWEEN FREE SOFTWARE PROJECTS! (LP: #783389).
    - Depends on the mscompress package.
  * debian/rules: Added "-dNOINTERPOLATE" to the Ghostscript command lines to
    make Ghostscript rendering the pages significantly faster.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 23 Jul 2011 22:37:00 +0200

foo2zjs (20110210dfsg-1ubuntu5) oneiric; urgency=low

  * debian/patches/96-udev-firmware-script-cups-libusb-support.patch:
    Small fix on the patch.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 14 Jun 2011 17:47:00 +0200

foo2zjs (20110210dfsg-1ubuntu4) oneiric; urgency=low

  * debian/patches/96-udev-firmware-script-cups-libusb-support.patch:
    Added support for uploading firmwae into printers using the USB backend
    of CUPS. This way the firmware upload also works without the usblp
    kernel module (Closes: #630228).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 14 Jun 2011 16:35:00 +0200

foo2zjs (20110210dfsg-1ubuntu3) oneiric; urgency=low

  * debian/patches/95-udev-firmware-script-no-hplip-rules-removal.patch:
    Removed the lines in the UDEV script for the automatic firmware upload into
    the printer which remove the UDEV rules files for HPLIP's automatic
    firmware upload. NO WARS BETWEEN FREE SOFTWARE PROJECTS! (LP: #783389).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  8 Jun 2011 13:30:00 +0200

foo2zjs (20110210dfsg-1ubuntu2) natty; urgency=low

  * debian/control: Dropped dependency on mscompress on the merge from Debian,
    re-added it.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  8 Mar 2011 12:00:00 +0100

foo2zjs (20110210dfsg-1ubuntu1) natty; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/rules: Hide menu entry for the paper-out resetter for the HP
      LaserJet 1018/1020 and improve UI text for this menu entry.
    - debian/local/apport-hook.py, debian/rules: Add apport hook.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 22 Feb 2011 14:20:45 +0100
