=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Michael Koch <konqueror@gmx.de>, Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), ghostscript, foomatic-filters, libcups2-dev, dc
+Build-Depends: debhelper (>= 7.0.50~), ghostscript, foomatic-filters, libcups2-dev, dc, pyppd (>= 0.4.9-3~)
 Standards-Version: 3.9.2
 Homepage: http://foo2zjs.rkkda.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/foo2zjs.git
@@ -11,10 +11,10 @@
 
 Package: foo2zjs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, foomatic-filters, dc
+Depends: ${shlibs:Depends}, ${misc:Depends}, foomatic-filters, dc, mscompress
 Recommends: foomatic-db-engine, wget, unzip, mscompress, cups, cups-client
 Suggests: psutils, hannah-foo2zjs, tk8.4, tix
-Breaks: udev (<< 136-1)
+Breaks: udev (<< 136-1), cups (<< 1.5.0-3~)
 Description: Support for printing to ZjStream-based printers
  foo2zjs is an open source printer driver for printers that use the
  Zenographics ZjStream wire protocol for their print data, such as the
