## foo2zjs 20111023dfsg0

=== debian/changelog ===
foo2zjs (20111023dfsg0-1) unstable; urgency=low

  * New 20111023 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh patches, delete 96-udev-firmware-script-cups-libusb-support.patch:
    included upstream.
  * Rename foo2zjs to printer-driver-foo2zjs, add transitional package.
  * Bump debhelper compat to 9, for auto- buildflags.
  * Drop superflous ppd-updater shebang.

 -- Didier Raboud <odyx@debian.org>  Tue, 25 Oct 2011 11:52:45 +0200
