## foo2zjs 20111202dfsg0

=== Makefile ===
--- 
+++ 
@@ -80,8 +80,6 @@
 ifeq ($(UNAME),SunOS)
     MODTIME= `ls -e $$1 | cut -c42-61`
 endif
-
-CUPS_SERVERBIN := $(shell cups-config --serverbin 2>/dev/null)
 
 #
 # Files for tarball
@@ -237,11 +235,14 @@
 		command2foo2lava-pjl.c \
 		$(NULL)
 
+# CUPS vars
+CUPS_SERVERBIN := $(shell cups-config --serverbin 2>/dev/null)
+CUPS_DEVEL := $(shell grep cupsSideChannelDoRequest /usr/include/cups/sidechannel.h 2>/dev/null)
+CUPS_GOODAPI := $(shell cups-config --api-version 2>/dev/null | sed "s/1\.[0123].*//")
+
 # hpclj2600n-0.icm km2430_0.icm km2430_1.icm km2430_2.icm samclp300-0.icm
 # sihp1000.img sihp1005.img sihp1020.img sihp1018.img
 # sihpP1005.img sihpP1006.img sihpP1505.img
-
-CUPS_DEVEL := $(shell ls /usr/include/cups/sidechannel.h 2>/dev/null)
 
 # Programs and libraries
 PROGS=		foo2zjs zjsdecode arm2hpdl foo2hp foo2xqx xqxdecode
@@ -253,7 +254,9 @@
 PROGS+=		hbpldecode
 ifneq ($(CUPS_SERVERBIN),)
     ifneq ($(CUPS_DEVEL),)
-	PROGS+=	command2foo2lava-pjl
+	ifneq ($(CUPS_GOODAPI),)
+	    PROGS+=	command2foo2lava-pjl
+	endif
     endif
 endif
 SHELLS=		foo2zjs-wrapper foo2oak-wrapper foo2hp2600-wrapper \
@@ -499,9 +502,3 @@
 	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
 	chmod 555 $@
 
-foo2slx-wrapper: foo2slx-wrapper.in Makefile
-	[ ! -f $@ ] || chmod +w $@
-	sed < $@.in > $@ \
-	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
-	chmod 555 $@
-
