=== debian/changelog ===
foo2zjs (20111202dfsg0-1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Depends on the mscompress package.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 14 Feb 2012 09:42:00 +0100

foo2zjs (20111202dfsg0-1) unstable; urgency=low

  * New 20111202 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh patches.
  * Bump Build-Depends on pyppd to 0.4.9-6~ to make sure the compressed
    PPD archive is named correctly.

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Dec 2011 10:10:24 +0100
