=== debian/rules ===
--- 
+++ 
@@ -26,22 +26,21 @@
 	install -D -m 644 hplj10xx.rules $(CURDIR)/debian/tmp/lib/udev/rules.d/85-hplj10xx.rules
 	# Legacy dh_install
 	dh_install
-	install -D -m 755 debian/foo2zjs.ppd-updater $(CURDIR)/debian/foo2zjs/usr/share/cups/ppd-updaters/foo2zjs
 	# usb_printerid is Linux-specific
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	install -D -m 644 usb_printerid $(CURDIR)/debian/foo2zjs/usr/bin/usb_printerid
-	install -D -m 644 usb_printerid.1 $(CURDIR)/debian/foo2zjs/usr/share/man/man1/usb_printerid.1
+	install -D -m 644 usb_printerid $(CURDIR)/debian/printer-driver-foo2zjs/usr/bin/usb_printerid
+	install -D -m 644 usb_printerid.1 $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/man/man1/usb_printerid.1
 endif
 	### patches/20-PDF-input-data-in-PPDs.patch
 	# Add "*cupsFilter" line to accept PDF input data to the PPDs and compress them
-	( cd $(CURDIR)/debian/foo2zjs/usr/share/ppd/foo2zjs; \
+	( cd $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/ppd/foo2zjs; \
 	  find -name '*.ppd.gz' -exec gunzip {} \; ; \
 	  find -name '*.ppd' -exec perl -p -i -e 's,^\*cupsFilter:\s*\"application/vnd.cups-postscript\s+0\s+foomatic-rip\",*cupsFilter: "application/vnd.cups-postscript 100 foomatic-rip"\n*cupsFilter: "application/vnd.cups-pdf 0 foomatic-rip",' {} \; ; \
 	)
 	dh_pyppd
 	# Install the apport hook on Ubuntu and derivatives
 ifeq ($(derives_from_ubuntu),yes)
-	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/foo2zjs/usr/share/apport/package-hooks/source_foo2zjs.py
+	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/apport/package-hooks/source_foo2zjs.py
 endif
 
 override_dh_auto_test:
