=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Uploaders: Michael Koch <konqueror@gmx.de>, Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
+Uploaders: Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 8.9.0~), ghostscript, foomatic-filters, libcups2-dev, dc, pyppd (>= 0.4.9-6~)
 Standards-Version: 3.9.2
 Homepage: http://foo2zjs.rkkda.com/
@@ -11,7 +11,7 @@
 
 Package: printer-driver-foo2zjs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, foomatic-filters, dc, mscompress
+Depends: ${shlibs:Depends}, ${misc:Depends}, foomatic-filters, dc
 Recommends: foomatic-db-engine, wget, unzip, mscompress, cups, cups-client
 Suggests: psutils, hannah-foo2zjs, tk8.4, tix
 Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~)
